 fs/jfs/jfs_mount.c  |    4 ++--
 fs/jfs/jfs_txnmgr.c |    2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

diff -puN fs/jfs/jfs_mount.c~KD33-jfs-B5 fs/jfs/jfs_mount.c
--- 25/fs/jfs/jfs_mount.c~KD33-jfs-B5	2003-09-21 22:35:12.000000000 -0700
+++ 25-akpm/fs/jfs/jfs_mount.c	2003-09-21 22:35:12.000000000 -0700
@@ -444,7 +444,7 @@ int updateSuper(struct super_block *sb, 
 
 	if (state == FM_MOUNT) {
 		/* record log's dev_t and mount serial number */
-		j_sb->s_logdev = cpu_to_le32(sbi->log->bdev->bd_dev);
+		j_sb->s_logdev = cpu_to_le32(old_encode_dev(sbi->log->bdev->bd_dev));
 		j_sb->s_logserial = cpu_to_le32(sbi->log->serial);
 	} else if (state == FM_CLEAN) {
 		/*
@@ -507,7 +507,7 @@ static int logMOUNT(struct super_block *
 	lrd.backchain = 0;
 	lrd.type = cpu_to_le16(LOG_MOUNT);
 	lrd.length = 0;
-	lrd.aggregate = cpu_to_le32(sb->s_bdev->bd_dev);
+	lrd.aggregate = cpu_to_le32(old_encode_dev(sb->s_bdev->bd_dev));
 	lmLog(log, NULL, &lrd, NULL);
 
 	return 0;
diff -puN fs/jfs/jfs_txnmgr.c~KD33-jfs-B5 fs/jfs/jfs_txnmgr.c
--- 25/fs/jfs/jfs_txnmgr.c~KD33-jfs-B5	2003-09-21 22:35:12.000000000 -0700
+++ 25-akpm/fs/jfs/jfs_txnmgr.c	2003-09-21 22:35:12.000000000 -0700
@@ -1354,7 +1354,7 @@ static int txLog(struct jfs_log * log, s
 
 		/* initialize lrd common */
 		ip = tlck->ip;
-		lrd->aggregate = cpu_to_le32(ip->i_sb->s_bdev->bd_dev);
+		lrd->aggregate = cpu_to_le32(old_encode_dev(ip->i_sb->s_bdev->bd_dev));
 		lrd->log.redopage.fileset = cpu_to_le32(JFS_IP(ip)->fileset);
 		lrd->log.redopage.inode = cpu_to_le32(ip->i_ino);
 

_
